---
title: font-style
slug: Web/SVG/Attribute/font-style
tags:
  - CSS
  - Font Style
  - Italic
  - Oblique
  - SVG
  - SVG Attribute
  - Text
  - Type
  - font
---
<div>{{SVGRef}}</div>

<p>The <strong><code>font-style</code></strong> attribute specifies whether the text is to be rendered using a normal, italic, or oblique face.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>font-style</code> can be used as a CSS property. See the {{cssxref("font-style", "CSS font-style")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but only has an effect on the following five elements: {{SVGElement("altGlyph")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css notranslate">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[2,3] notranslate">&lt;svg viewBox="0 0 250 30" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;text y="20" font-style="normal"&gt;Normal font style&lt;/text&gt;
  &lt;text x="150" y="20" font-style="italic"&gt;Italic font style&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "250", "30")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>normal</code> | <code>italic</code> | <code>oblique</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>normal</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p>For a description of the values, please refer to the <a href="/en-US/docs/Web/CSS/font-style#Values">CSS font-style</a> property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Fonts", "#font-style-prop", "font-style")}}</td>
   <td>{{Spec2("CSS4 Fonts")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Fonts", "#font-style-prop", "font-style")}}</td>
   <td>{{Spec2("CSS3 Fonts")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#FontStyleProperty", "font-style")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.font-style")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-style", "CSS font-style")}}</li>
</ul>
